# cryptchat-keyring
The *cryptchat-keyring* module exports the keyring management library used
across all other cryptchat products.

This package serves as an interface to store, sort through and save PGP keys.


## Storage
All data is stored in an in-memory database collection operated by
[LokiJS](http://lokijs.org/). Keys can be added in, deleted, filtered and
exported through the provided interface.

Despite LokiJS being an in-memory database with virtually instant data access,
most functions will return a Promise. While not completely necessary
(as, at least for now, LokiJS is still running in blocking mode), this will
match the code structure of other cryptchat modules and future-proof the code.

### Disclaimer
Documentation is sparse and will remain sparse until more feature-filled.

This keyring module, as with all Cryptchat components, should not be considered
ready for any production-quality code at the current moment.
